Bug 504475 - Review Request: rubygem-polyglot - Allow hooking of language loaders for specified extensions into require
Review Request: rubygem-polyglot - Allow hooking of language loaders for spec...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Ingeli
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 504468 504479
  Show dependency treegraph
 
Reported: 2009-06-07 07:44 EDT by Lubomir Rintel
Modified: 2009-07-08 14:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 11:47:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mi: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-07 07:44:55 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-polyglot.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-polyglot-0.2.5-1.fc11.src.rpm

Description:

This Ruby GEM allows custom language loaders for specified file extensions
to be hooked into require.
Comment 2 Michal Ingeli 2009-06-27 05:57:56 EDT
* license ok

* files listed twice:
Processing files: rubygem-polyglot-0.2.5-2.fc10
warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/polyglot-0.2.5/History.txt
warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/polyglot-0.2.5/License.txt
warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/polyglot-0.2.5/Manifest.txt
warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/polyglot-0.2.5/README.txt
warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/polyglot-0.2.5/website/index.txt
Comment 4 Michal Ingeli 2009-06-27 07:03:55 EDT
* rpmlint almost quiet
  - rubygem-polyglot.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/polyglot-0.2.5/log/debug.log
    - empty but in gems file listing so its ok
* named well
* clean SPEC file, American English
* builds in mock
* filelists, documentation ok, tests in documentation
* provides and requires ok

should:
* run tests in %check (test/test_polyglot.rb)
Comment 5 Lubomir Rintel 2009-06-28 05:56:35 EDT
Well, the Rakefile requres the gem to rebuild for the tests to run, and the only existing test is about being completely useless.

class TestPolyglot < Test::Unit::TestCase

  def setup
  end

  def test_truth
    assert true
  end
end
Comment 6 Michal Ingeli 2009-06-28 06:36:23 EDT
Hmm, that test doesn't really make sense. So it's probably OK to skip it.

APPROVED
Comment 7 Lubomir Rintel 2009-06-28 06:38:29 EDT
New Package CVS Request
=======================
Package Name: rubygem-polyglot
Short Description: Allow hooking of language loaders for specified extensions into require
Owners: lkundrak
Branches: F-10 F-11 EL-5
Comment 8 Jason Tibbitts 2009-06-28 14:09:38 EDT
CVS done.
Comment 9 Lubomir Rintel 2009-07-08 11:47:45 EDT
Imported and built. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.